package com.capgemini.reports.exceptions;

import com.capgemini.framework.teamcenter.exceptions.KurtException;

/**
 * Exception déclenchée lorsqu'un service n'est pas capable de remplir sa tâche.
 * 
 */
public class ServiceException extends KurtException {

    private static final long serialVersionUID = -5463974860193499398L;

    /**
     * Constructor.
     * 
     * @param aMessage Error message
     */
    public ServiceException(String aMessage) {
        super(aMessage);
    }

    /**
     * Constructor.
     * 
     * @param aMessage Error message
     * @param anException Original exception
     */
    public ServiceException(String aMessage, Throwable anException) {
        super(aMessage, anException);
    }

}
